package com.siginfo.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.siginfo.dao.CommonDao;

@Service
@Transactional(rollbackFor = {Exception.class})
public class CommonService {
	
	@Autowired
	private CommonDao commonDao;
	
	public List<Map<String,Object>> getQuery(String queryId) throws Exception {
		return commonDao.getQuery(queryId);
	}
	
	public List<Map<String,Object>> list(Map<String, Object> paramMap) throws Exception {
		return commonDao.list(paramMap);
	}
	
	public String selectOne(Map<String, Object> paramMap) throws Exception {
		return commonDao.selectOne(paramMap);
	}
	
	public void update(Map<String, Object> paramMap) throws Exception {
		commonDao.update(paramMap);
	}
	
	public int insert(Map<String, Object> paramMap) throws Exception {
		return commonDao.insert(paramMap);
	}
}
